import { Notification } from 'element-ui';
import Bus from '@/utils/bus.js'

const MSMQ = {
  handleMsg (data, projects, unreadNum ) {
    if(projects.some((item) => {return item.id == data.projectId})) { //判断消息是否是当前用户拥有的项目
      unreadNum++
      Bus.$emit('modelStatusChange', data)
      Notification.info({ title: '消息',dangerouslyUseHTMLString: true, message: `项目编号：${data.projectId}<br>消息类型：${data.type}<br>描述信息：${data.description}<br>` })
      return unreadNum
    }
  }
}

export default MSMQ